$missionVersion = "1.5.0";
$missionName    = "\"Lost Mine\"";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("BoPstdlib.cs");

$BOP::BoPMap = true;

function mapOnMissionStart() { 
  windSounds();
  $hercsAtDoor1 = 0;
  $hercsAtDoor2 = 0;
  $hercsAtDoor3 = 0;
  $hercsAtDoor4 = 0;
  $hercsAtDoor5 = 0;
  $hercsAtDoor6 = 0;
  $hercsAtDoor7 = 0;
  $hercsAtDoor8 = 0;

}

function Y0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\Y0\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function Y1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\Y1\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function Y2::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\Y2\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function R0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\R0\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function R1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\R1\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function R2::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\Y2\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function B0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B0\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function B1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B1\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function B2::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\B2\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function P0::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\P0\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function P1::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\P1\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function P2::trigger::onEnter(%this, %vehicleId) {
  %tmp = "MissionGroup\\Trans\\P2\\Dest";
  WARP::transV(%vehicleId, %tmp, 16);
}	

function door1::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor1 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door1"), 0, true);
  }
  $hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor1 = $hercsAtDoor1 - 1;
  if($hercsAtDoor1 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door1"), 0, false);
  }
}




function door2::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor2 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door2"), 0, true);
  }
  $hercsAtDoor2 = $hercsAtDoor2 + 1;
}
function door2::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor2 = $hercsAtDoor2 - 1;
  if($hercsAtDoor2 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door2"), 0, false);
  }
}




function door3::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor3 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door3"), 0, true);
  }
  $hercsAtDoor3 = $hercsAtDoor3 + 1;
}
function door3::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor3 = $hercsAtDoor3 - 1;
  if($hercsAtDoor3 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door3"), 0, false);
  }
}




function door4::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor4 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door4"), 0, true);
  }
  $hercsAtDoor4 = $hercsAtDoor4 + 1;
}
function door4::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor4 = $hercsAtDoor4 - 1;
  if($hercsAtDoor4 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door4"), 0, false);
  }
}

function door5::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor5 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door5"), 0, true);
  }
  $hercsAtDoor5 = $hercsAtDoor5 + 1;
}
function door5::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor5 = $hercsAtDoor5 - 1;
  if($hercsAtDoor5 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door5"), 0, false);
  }
}


function door6::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor6 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door6"), 0, true);
  }
  $hercsAtDoor6 = $hercsAtDoor6 + 1;
}
function door6::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor6 = $hercsAtDoor6 - 1;
  if($hercsAtDoor6 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door6"), 0, false);
  }
}

function door7::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor7 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door7"), 0, true);
  }
  $hercsAtDoor7 = $hercsAtDoor7 + 1;
}
function door7::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor7 = $hercsAtDoor7 - 1;
  if($hercsAtDoor7 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door7"), 0, false);
  }
}

function door8::trigger::onEnter(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  if($hercsAtDoor8 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door8"), 0, true);
  }
  $hercsAtDoor8 = $hercsAtDoor8 + 1;
}
function door8::trigger::onLeave(%this, %vehicleId) {
  %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
  if(%player == 0) {
    return;
  }
  $hercsAtDoor8 = $hercsAtDoor8 - 1;
  if($hercsAtDoor8 == 0){
    playAnimSequence(getObjectId("MissionGroup\\doors\\door8"), 0, false);
  }
}

